Perlbal::Plugin::MaxContentLength(3)

NAME
Perlbal::Plugin::MaxContentLength - Reject large requests

SYNOPSIS
    LOAD MaxContentLength
    CREATE SERVICE cgilike
        # define a service...
        SET max_content_length  = 100000
        SET plugins             = MaxContentLength
    ENABLE cgilike

DESCRIPTION
This module rejects requests that are larger than a configured limit. If a request bears a Content-Length header whose value exceeds the max_content_length value, the request will be rejected with a 413 "Request Entity Too Large" error.

AUTHOR
Adam Thomason, <athomason@sixapart.com>

COPYRIGHT AND LICENSE
Copyright 2008 Six Apart Ltd.

This module is part of the Perlbal distribution, and as such can be distributed under the same licence terms as the rest of Perlbal.